+++
title = "Announcing Forgers Guild"
date = 2022-10-18

[taxonomies]
tags = ["plans", "conference"]
+++

[Forge federation](https://forgefriends.org/blog/2022/06/30/2022-06-state-forge-federation/) is a new area of the Fediverse that is evolving. Its potential is huge and the vision one of **"Federated Software Development"**. A new technology landscape is emerging that might cover the full breadth of the [Free Software Development Lifecycle](https://discuss.coding.social/c/fsdl/15) (FSDL) and foster an ecosystem of projects and communities that can compete with proprietary platforms such as GitHub.

In order to get there the [Major Challenges](https://discuss.coding.social/t/major-challenges-for-the-fediverse/67) that ail the Fediverse must be avoided. And with Forge Federation entering new areas the opportunity exists to do that right from the early start.

<!-- more -->

We are preparing for an [Ecosystem
Alliance](https://discuss.coding.social/t/fsdl-ecosystem-alliance/125)
that can ensure the long-term health and sustainability of the field.
We'll explore objectives, opportunities, questions and open issues in
preparation of an **Alliance Kick-off Meeting** to be held later this
year (2022).

### "The Forgers Guild"

At the [Social Coding Movement](https://coding.social) which is planned
to be 'officially' launched in Q4 2022 the idea to "unionize free
software" and organize into **Software Guilds** is maturing. When
combining [different plans and
ideas](https://discuss.coding.social/t/unionize-free-software-found-software-guilds/59/7?u=aschrijver)
an ideal name for forge federation ecosystem alliance is: **The Forgers
Guild**.

Besides an open and friendly terminology of towns, residents, artisans,
craftsmanship, apprentices etc. there's a [branding and
positioning](https://discuss.coding.social/t/forging-free-software-branding-and-positioning-smartly/132)
opportunity to make **"forging software"** a concept proudly applying to
the Free Software Community.

### Providing feedback

Everyone is highly encouraged to add their thoughts and feedback to this
notepad, and discuss points in the [Forge Federation
general](https://matrix.to/#/#general-forgefed:matrix.batsense.net)
matrix chatroom. Also your input is most welcome in [Discuss Social
Coding](https://discuss.coding.social) where it concerns the broader
FSDL, and in related [Social
Coding](https://matrix.to/#/#socialcoding-movement:matrix.org)
chatrooms.

## Ecosystem Alliance

### Objectives

What do we expect / desire to be major goals of the alliance? Add your
feedback.

-   **Welcoming and friendly** movement that offers **clear incentives for
    active participation**.

-   **Open governance and processes** fitting to our **libre culture and
    grassroots nature**.

-   **Living open standards** that are actively maintained, so they will
    **evolve and mature**.

-   **Vibrant ecosystem** focused to onboard newcomers and **fosters
    technology adoption**.

### Candidates

If a person or an organization is interested to become a Participant,
but aren't sure, then add it below, together with considerations / open
questions.

-   [Forg.es](https://forg.es): Future home and dedicated website for The
    Forgers Guild?
-   [ForgeFed](https://forgefed.org): Federation protocol for enabling
    interoperability between version control services.
-   [ForgeFlux](https://forgeflux.org): WIP ForgeFed plugins for forges
    that don't have federation support.
-   [Gitea](https://gitea.io): A Git hosting software with WIP ForgeFed
    support
-   [Bonfire](https://bonfirenetworks.org): Federated toolkit with issue
    tracking functionality

### Participants

Add yourself below if you want to be part of the alliance. Give
description how you see your role in the ecosystem. Note: It is all just
brainstorm.

<details><summary> <b>Social Coding Movement</b> (click to expand, and
see open issues)</summary>

This movement is a loose affiliation of Communities and Projects and
(hopefully) a steadily growing number of Social Coding Practitioners.

    > [**Social Coding**](https://coding.social) is about the
    > recognition that software development itself is mostly a social
    > process. The movement is dedicated to addressing the many
    > Challenges faced by the free software community and crowdsource a
    > pattern library of Best-practices and Tools to tackle them. In
    > doing so it wants to leverage the Fediverse to maximum extent.

-   Though the movement has an umbrella organization, for the ecosystem
    alliance you can consider its position as a vertical with many
    touchpoints to specific elements of the FSDL.
-   Social Coding co-shared community provides services to affiliated yet
    fully independent Communities and Projects, such as
    [Forum](https://discuss.coding.social) and dedicated website space.
-   Contact: [@humanetech](https://mastodon.social/@humanetech) (fedi) /
    [@circlebuilder](https://matrix.to/#/@circlebuilder:matrix.org) (matrix)

---

    </details><br>

-   [Forgefriends](https://forgefriends.org): a forge federation project.
    Observes the ecosystem to better position itself since its goal is to be
    useful to developers. _Added by Loïc Dachary, member of the forgefriends
    community._
-   [Gna!](https://gna.org): a free forge ecosystem for free developers.
    Provides feedback on the implementation of an experimental business
    model. _Added by Loïc Dachary, member of the Gna! collective._

### :pushpin: Ideas / open issues

Crazy thoughts on what an ecosystem alliance can do, and things that
should be addressed.. add them below (give a handle to matrix/fedi
account).

-   [ ] Social Coding Movement has the concept of 'being under its
        umbrella'. The Forgers Guild would be an ideal candidate. This
        participation comes with its own [benefit
        package](https://pad.public.cat/8yNgnlxmSsGYk3TfIau46A?view) (to be
        updated, elaborated).
-   [ ] Research business models (see [the business model for federated
        online services example of
        Gna!](https://forum.gna.org/t/hostea-forge-hosting-supported-by-a-collective-of-service-companies/175))
-   [ ] Match developers with funding (there is more funding available
        globally than developers willing to do the work)
-   [ ] _Idea or open issue_

---

### Kick-off Meeting

Participants (add yourself to the list):

-   [Loïc Dachary](https://mastodon.online/@dachary)
-   [fr33domlover](https://todon.nl/@fr33domlover)
-   [Aravinth Manivannan](https://gts.batsense.net/@realaravinth)
-   [Anthony Wang](https://social.exozy.me/@a)
-   [Arnold Schrijver](https://mastodon.social/@humanetech)
-   [Gusted](https://mastodon.technology/@Gusted)
-   [Cloud68](https://fosstodon.org/@Cloud68/108883423002859647) (please,
    ping us when date is set)
-   Mayel (Bonfire) (UTC+12)

**Date**: TBD

-   Jitsi: https://meet.waag.org/ForgersEcosystemAllianceKickOff

#### Agenda:

(draft, preliminary)

-   Introduction, who's who?
-   Rationale for an Ecosystem Alliance: The challenge
-   Forgers Guild: Shared vision, common mission
-   "What do I want?", objectives for participants, benefits
-   Next steps

---

Please see [here](https://notes.smallcircles.work/s/UnEIHW1HV) for the original draft
